Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin
Class RepositoryFile

    java.lang.Object
      com.jaspersoft.jasperserver.irplugin.RepositoryFolder
          com.jaspersoft.jasperserver.irplugin.RepositoryFile

Direct Known Subclasses:
  RepositoryJrxmlFile

    public class RepositoryFile

extends RepositoryFolder

Author:
  gtoffoli

Constructor Summary
`RepositoryFile(JServer server, ResourceDescriptor descriptor)` Creates a new instance of RepositoryFolder

Method Summary
`java.lang.String` | `getFile()` This method return the file rapresented by this resource file.
`void` | `resetFileCache()` If localFileName exists, remove it and set localFileName to NULL.
`java.lang.String` | `toString()`

Methods inherited from class com.jaspersoft.jasperserver.irplugin.RepositoryFolder
`getDescriptor, getServer, isLoaded, setDescriptor, setLoaded, setServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryFile

    public RepositoryFile(JServer server,
                          ResourceDescriptor descriptor)

  Creates a new instance of RepositoryFolder

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RepositoryFolder`

### getFile

    public java.lang.String getFile()
                             throws java.lang.Exception

  This method return the file rapresented by this resource file. The file is cached in a temporary directory for subsequent calls to this method. Please note: the file is never removed... a delete of this file should be done on plugin startup.... The method returns the cached file name.

  Throws:
    `java.lang.Exception`

### resetFileCache

    public void resetFileCache()

  If localFileName exists, remove it and set localFileName to NULL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.